#!/bin/bash
this_dir=`pwd`
fco=gfortran

#... Installation of pyLikeDM ...
echo '+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++'
echo 'Start installing pyLikeDM'
echo '+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++'


cd ${this_dir}
rm -f likedm.pyf
f2py -m LikeDM -h likedm.pyf MathLib.f90 DirectDet_likelihood.f90 \
DirectDet_v3.f90 DMFormFactor.f90 DDtrigger.f90
f2py -c --fcompiler=${fco} likedm.pyf MathLib.f90 DirectDet_likelihood.f90 \
DirectDet_v3.f90 DMFormFactor.f90 DDtrigger.f90

if [ -e "${this_dir}/LikeDM.so" ]; then
  echo "pyLikeDM is installed."
else
  echo "pyLikeDM is NOT installed."
  exit 1;
fi


echo 'End installing pyLikeDM-DD'
echo 'Enjoy use!'
echo '+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++'
